# This configures label matching for PR's.
#
# The keys are labels, and the values are lists of minimatch patterns
# to which those labels apply.
#
# NOTE: This can only add labels, not remove them.
# NOTE: Due to YAML syntax limitations, patterns or labels which start
# with a character that is part of the standard YAML syntax must be
# quoted.
#
# Please keep the labels sorted and deduplicated.

"c:u-boot":
  - patch/u-boot/*
  - patch/u-boot/**/*
  - patch/atf/*
  - config/bootenv/*
  - config/bootscripts/*

"c:kernel":
  - patch/kernel/*
  - patch/kernel/**/*
  - patch/misc/*
  - config/kernel/*
  - config/sources/*

"c:bsp":
  - config/sources/**/*
  - config/boards/*
  - config/bootscripts/*
  - config/bootenv/*

"c:build script":
  - lib/*

"c:desktop":
  - config/desktop/*

"c:cli":
  - config/cli/*

"c:actions":
  - .github/workflows/*
